Redmine - Defect #12650

Lost text after selection in issue list with IE
2012-12-19 16:32 - Daniel Felix

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 2.31

Resolution: Fixed Affected version: 2.3.0
Description

Hi there,

| just encountered some wired behaviour which is reproducible in nearly every redmine installation.
| tried this with Internet Explorer 9.0.8.

You can mark some text on the roadmap list, which instantly disappear after selection.

| attached two screenshots, to illustrate it. These screenshots are taken from redmine.org.

Maybe this is related to the context menu js.

Best regards,
Daniel

Related issues:

Related to Redmine - Defect #12710: Ticket selection removes text Closed
Has duplicate Redmine - Defect #12951: Multi-lines select by control+clicking... Closed
Has duplicate Redmine - Defect #8783: Words selected from issue list disappea... Closed 2011-07-11

Associated revisions

Revision 11750 - 2013-05-01 14:52 - Jean-Philippe Lang

Fixed: Lost text after selection in issue list with IE (#12650).

Revision 11751 - 2013-05-01 14:53 - Jean-Philippe Lang
Merged r11750 from trunk (#12650).

History

#1 - 2012-12-19 16:33 - Daniel Felix

- Subject changed from Strange behaviour of roadmap list to Lost text, after selection in roadmap list

#2 - 2013-03-18 11:14 - Daniel Felix

- Target version set to 2.3.1

Another JS related issue.
Maybe this could be solved by upgrading to newer libraries? Can someone confirm this on its own Redmine?

Maybe this could find its way in the next bug fix release as this is sometime a little bit annoying. ;-)

#3 - 2013-03-18 20:23 - Ivan Cenov

| cannot reproduce.
Redmine 2.2.3
Firefox 19.0.2
Windows 7

#4 - 2013-03-18 20:26 - Daniel Felix

Yes, as mentioned above is this a IE related issue. ;-)
WebKit and gecko engines won't have this problem.

#5 - 2013-03-18 20:26 - Daniel Felix

By the way, | haven't checked it on ie 10. Will give it a try when I'm home.

#6 - 2013-03-18 22:21 - lvan Cenov
IE 9.0.14 has this problem

#7 - 2013-03-20 17:50 - Daniel Felix

I rechecked it now on IE 10. This occurs there too. So this is not a Problem of outdated Browsers like IE6, 7 & 8. It's a problem of the next generation
too.

#8 - 2013-03-20 19:45 - Daniel Felix

- Subject changed from Lost text, after selection in roadmap list to Lost text, after selection
- Affected version (unused) changed from 2.1.4 to 2.3.0

- Affected version changed from 2.1.4 to 2.3.0

| update this.
The text is lost in every list which uses this file: source:trunk/public/javascripts/context_menu.js

| debugged this. The text gets lost after a return in this file:

It seems that this problem gets huger in the latest IE version. If | ctrl+click to multiselect issues, all text of the selected items get lost.
Maybe an upgrade of jquery and jqueryui would solve this problem. This bug makes the multiselection in Internet Explorer not really useful.

#9 - 2013-03-22 05:05 - Jongwook Choi

Lower versions of Redmine (e.g. 2.0.x and 2.1.x) are also affected, too.
#10 - 2013-04-06 13:17 - Daniel Felix
Jongwook Choi wrote:
Lower versions of Redmine (e.g. 2.0.x and 2.1.x) are also affected, too.

Thanks for the hint. | know this, I've set it initially to 2.1.4, but changed it to the most recent version as this still occurs there. :-)
Otherwise this one would maybe get lower priority as we thing this one is outdated. ;-)

#11 - 2013-04-18 11:43 - Daniel Ritz
- File context-menu.diff added
Daniel Felix wrote:

| update this.
The text is lost in every list which uses this file: source:trunk/public/javascripts/context menu.js

yes, that one is the problem. And this one causes it:

function contextMenuClearDocumentSelection () {

// TODO

if (document.selection) {
document .selection.clear(); // IE

} else {
window.getSelection () .removeAllRanges () ;

}
}

The document.selection.clear() causes the selected text to disappear. According to doc from M$:
http://msdn.microsoft.com/en-us/library/ie/ms535869%28v=vs.85%29.aspx
the clear deletes the content of the selection. Replacing it with .empty() seems to do the trick.

| don't claim to understand what the purpose of this function is. Why? Removing the line in question completely seems no to have any negative
effect...
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/public/javascripts/context_menu.js
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/public/javascripts/jquery-1.8.3-ui-1.9.2-ujs-2.0.3.js
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/public/javascripts/context_menu.js
http://msdn.microsoft.com/en-us/library/ie/ms535869%28v=vs.85%29.aspx

#12 - 2013-05-01 14:55 - Jean-Philippe Lang

- Subject changed from Lost text, after selection to Lost text after selection in issue list with IE

- Status changed from New to Closed

- Resolution set to Fixed

| confirmed that using .empty() fixed the issue, thanks. Committed in r11750.

The purpose of this line is to avoid the text selection to appear when selecting multiple issues at once with the shift key pressed.

#13 - 2014-07-18 03:09 - Toshi MARUYAMA

- Related to Defect #12710: Ticket selection removes text added

#14 - 2015-04-05 07:39 - Go MAEDA
- Has duplicate Defect #8783: Words selected from issue list disappeared added

Files

Before.png 155 KB 2012-12-19 Daniel Felix

Selected.png 151 KB 2012-12-19 Daniel Felix

After.png 158 KB 2012-12-19 Daniel Felix

context-menu.diff 499 Bytes 2013-04-18 Daniel Ritz
